> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mirurobotics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create

> Create a new provisioning token.

| Scope | Required |
| - | - |
| `devices:provision` | Yes |
| `provisioning_tokens:write` | Yes |


## OpenAPI

````yaml /references/platform-api/2026-10-29.yaml post /provisioning_tokens
openapi: 3.0.3
info:
  title: Miru Platform API
  description: The API between Miru and any external client
  version: 2026-10-29.everglades
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
  x-release-version: 2026-10-29.everglades
  x-git-commit:
    sha: fa872feb1c97431ace4e4f5636eea0856b5d73f3
    url: >-
      https://github.com/mirurobotics/openapi/commit/fa872feb1c97431ace4e4f5636eea0856b5d73f3
    message: >-
      feat(platform)!: name calibration components, roles and aspects by slug
      (#387)
    author: Ben's Agent
    branch: HEAD
    dirty: false
  x-build:
    built_at: '2026-10-29T05:41:56.762337+00:00'
servers:
  - url: https://api.mirurobotics.com/beta
    description: Miru Platform API
security:
  - ApiKeyAuth: []
paths:
  /provisioning_tokens:
    parameters:
      - $ref: '#/components/parameters/MiruVersion'
    post:
      tags:
        - Provisioning Tokens
      summary: Create
      description: Create a new provisioning token.
      operationId: createProvisioningToken
      responses:
        '200':
          description: Successfully created the provisioning token.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProvisioningToken'
components:
  parameters:
    MiruVersion:
      name: Miru-Version
      in: header
      required: true
      schema:
        type: string
        example: 2026-10-29.everglades
      description: The API version the client was built against.
  schemas:
    ProvisioningToken:
      title: Provisioning Token
      type: object
      required:
        - token
        - expires_at
      properties:
        token:
          type: string
          description: >-
            The provisioning token. This value is only returned when the token
            is created.
          example: mirupt_123
        expires_at:
          type: string
          format: date-time
          description: The expiration date and time of the token.
          example: '2025-01-01T00:00:00Z'
      example:
        token: mirupt_123
        expires_at: '2025-01-01T00:00:00Z'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: The API key to use for authentication.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.